Bug 106052 - ia64 dbskkd-cdb kana-kanji conversion cannot be done
ia64 dbskkd-cdb kana-kanji conversion cannot be done
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: dbskkd-cdb (Show other bugs)
3.0
ia64 Linux
medium Severity low
: ---
: ---
Assigned To: Jens Petersen
David Lawrence
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-02 05:31 EDT by Toshiteru Nishio
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-17 20:35:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Toshiteru Nishio 2003-10-02 05:31:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux alpha; en-US; rv:1.0.2) Gecko/20030716

Description of problem:
Kana-Kanji conversion cannot be done.

Version-Release number of selected component (if applicable):
dbskkd-cdb-1.01-18 (Related components: skkinput-2.06.3-3)

How reproducible:
Always

Steps to Reproduce:
1. Install Red Hat Enterprise Linux 3 AS Beta2 for Itanium setting the default
language to Japanese. kinput2 and Canna are set up automatically as the default
Japanese input method and Kana-Kanji conversion server.
2. Change the Japanese input method and Kana-Kanji conversion server from
kinput2 and Canna to skkinput and dbskkd-cdb as follows.
- Change "disable = yes" to "disable = no" in the /etc/xinetd.d/dbskkd-cdb file.
- Executhe the "/etc/init.d/xinetd reload" command.
- Rename the /usr/X11R6/bin/kinput2 file.
- Log in GNOME again.
3. Confirm the skkinput and dbskkd-cdb processes exist.
4. Try Japanese input on a gnome-terminal window as follows.
- Push Shift+SP key to change English input mode to Japanese input mode.
- Type "Wakaba". The Kana characters appear.
- Type SP key to do Kana-Kanji conversion. But appropriate Kanji characters do
not appear. This indicates that Kana-Kanaji conversion is not done.
- Push Cntl-g key multiple times to cancel operations.
- Push Shift+SP key to change Japanese input mode to English input mode.
5. Confirm that the dbskkd-cdb process has disappeared.
  

Actual Results:  Kana-Kanaji conversion cannot be done.


Expected Results:  Kana-Kanaji conversion can be done.


Additional info:

- On Red Hat Linux 7.2 for i386, this problem does not occur.
- When Red Hat Enterprise Linux 3 AS Beta2 is installed, not skkinput and
dbskkd-cdb, but kinput2 and Canna are set up automatically as the default
Japanese input method and Kana-Kanji conversion server. And Kana-Kanaji
conversion can be done normally. Therefore it seems that the severity of this
problem is low.
Comment 1 Jens Petersen 2003-10-03 02:58:37 EDT
So just to be clear, this is a Itanium specific problem?

(BTW you don't need to rename kinput2 to use skkinput -
please just put "XIM=skkinput" in your "~/.i18n" file.)

Comment 2 Jens Petersen 2003-10-14 02:28:19 EDT
Tagoh tested this on the HP machine on loan in Tokyo.

It seems rebuilding with "-O0" fixes the problem.
Comment 3 Jens Petersen 2003-12-16 03:06:08 EST
Could you please confirm that rebuilding with "-O0"
fixes the problem for you?  Then perhaps an update
can be made if it is desirable.

Note You need to log in before you can comment on or make changes to this bug.